#include-once
#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Xyron

 Script Function:
	UDF for using the Windows Media-Player without a window within using the COM direktiv

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here


Global $oWMP = ObjCreate("WMPlayer.OCX.7")
Global $paus = False
Global $cur_pos = 0
if @error <> 0 Then
	MsgBox(48, "Error", "Fehler beim laden des Media Player - Plugins" & @LF & "Das Programm wird jetzt geschlossen")
	Exit 0
EndIf
Global $hMedia[1000]
Global $hI = 0
Func _newMedia($hFile)
	Return $oWMP.newMedia(String($hFile))
EndFunc
Func _playMedia($hWMP_Media)
	$oWMP.currentMedia = $hWMP_Media
	$oWMP.controls.play()
EndFunc
Func _getPlayPos()
	Return $oWMP.controls.currentPosition()
EndFunc
Func _setPlayPos($hPos)
	$oWMP.controls.currentPosition = $hPos
EndFunc
Func _stop()
	$oWMP.controls.stop()
EndFunc
Func _pause()
	If $paus Then
		$oWMP.controls.currentPosition = $cur_pos
		$oWMP.controls.play()
		$paus = False
	Else
		$cur_pos = $oWMP.controls.currentPosition()
		$oWMP.controls.stop()
		$paus = True
	EndIf
EndFunc
Func _isPlaying()
	If $oWMP.playstate > 2 Then
		Return True
	Else
		Return false

	EndIf
EndFunc
Func _forward()
	$time = 1
	$pos = $oWMP.controls.currentPosition() + $time
	$oWMP.controls.currentPosition = $pos
	$oWMP.controls.play()
	sleep(100)
EndFunc
Func _backward()
	$time = 1
	$pos = $oWMP.controls.currentPosition() - $time
	$oWMP.controls.currentPosition = $pos
	$oWMP.controls.play()
	sleep(100)
EndFunc
